[maemo-developers] SDK_ARMEL can not work with SDK_PC code?

From: Van Vu s051033 at student.dtu.dk
Date: Fri Mar 23 19:43:51 EET 2007
Hi all,
I followed exactly the following instructions to develop a .deb file for
real device Nokia 770:
However, my code developed in SDK_PC can not be recompiled again in ARMEL.

I did as following: My application package is img1-1.0.0
Inside Scratchbox, SDK_ARMEL, changing dir to:


Then issuing 2 commands:

dh_make -e s051033 at student.dtu.dk

dpkg-buildpackage -rfakeroot

Still, the toolbox SDK_ARMEL simply refuses to produce the .deb file.
Error message: /usr/bin/python2.4 is not an executable binary

I guess that i need to configure something more. Because in the SDK_PC
toolbox, i can run the command python2.4 but it is impossible in the

Gurus, could you please try to compile my code in your machine, ARMEL
toolbox, Maemo 2.2 and send the .deb file to me (s051033 at student.dtu.dk)
to see if i can install it in the real device. All my code can be
retrieved from the URL:


 You do not need to change the name of folder.

Thank you very much and hope to get a reply soon.
Best regards,
Dinh Van Vu (Van)
CICT-Denmark Technical University
Mobile nr.:  (+45)40783319

More information about the maemo-developers mailing list